VERSION 5.00
Begin VB.Form FrmMain 
   BorderStyle     =   3  'Fixed Dialog
   Caption         =   "Smart A/D Demo Program"
   ClientHeight    =   5895
   ClientLeft      =   150
   ClientTop       =   435
   ClientWidth     =   4410
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   5895
   ScaleWidth      =   4410
   ShowInTaskbar   =   0   'False
   StartUpPosition =   3  'Windows Default
   Begin VB.CommandButton BtnGetSensorData 
      Caption         =   "&Show Sensor Data"
      Height          =   375
      Left            =   2280
      TabIndex        =   2
      Top             =   5340
      Width           =   1785
   End
   Begin VB.CommandButton BtnResetBoard 
      Caption         =   "&Reset Board"
      Height          =   375
      Left            =   300
      TabIndex        =   1
      Top             =   5340
      Width           =   1785
   End
   Begin VB.Label Label 
      BackColor       =   &H00FFFFFF&
      BorderStyle     =   1  'Fixed Single
      BeginProperty Font 
         Name            =   "Courier New"
         Size            =   8.25
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   4965
      Left            =   180
      TabIndex        =   0
      Top             =   150
      Width           =   4065
   End
End
Attribute VB_Name = "FrmMain"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
'*******************************************************************************
' This demo program shows how to use SmartAD.DLL in a Visual Basic application
' with Ethernet Smart A/D boards.
'*******************************************************************************

Const MODELNUM = 2519               ' SET THIS TO YOUR SMART A/D MODEL NUMBER !!!
Const IPADDRESS = "10.0.0.127"      ' SET THIS TO YOUR SMART A/D IP ADDRESS !!!

Const NUMBOARDS = 1                         ' Number of Smart A/D boards used by this demo.

Private Sub Form_Load()
    Dim HostAdrs As Long
    Me.Show                                 ' Make all controls visible.
    HostAdrs = DRV_InetAtoN(IPADDRESS)      ' Convert board's IP "dot" address to binary.
    DRV_SetBoardAttr 0, MODELNUM, HostAdrs  ' Declare Smart A/D board to the driver DLL.
    ResetAll Label, NUMBOARDS               ' Invoke a soft reset and configure channels.
End Sub

Private Sub BtnGetSensorData_Click()
    ShowSensorData Label, NUMBOARDS         ' Fetch and display some sensor data.
End Sub

Private Sub BtnResetBoard_Click()
    ResetAll Label, NUMBOARDS               ' Invoke a soft reset and configure channels.
End Sub
